# $Revision: 1.34 $, $Date: 2004/05/06 18:20:41 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	SigFigs
Summary:	Math::SigFigs - do math with correct handling of significant figures
Summary(pl):	Math::SigFigs - obliczenia z poprawn obsug cyfr znaczcych
Name:		perl-Math-SigFigs
Version:	1.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	aadb520282bd6b8d8ab1299d981dbaad
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
In many scientific applications, it is often useful to be able to
format numbers with a given number of significant figures, or to do
math in such a way as to maintain the correct number of significant
figures. The rules for significant figures are too complicated to be
handled solely using the sprintf function (unless you happen to be
Randal Schwartz :-).

%description -l pl
W wielu aplikacjach naukowych przydaje si formatowanie liczb z zadan
liczb cyfr znaczcych albo wykonywanie oblicze z zachowaniem
poprawnej liczby cyfr znaczcych. Zasady dla cyfr znaczcych s zbyt
skomplikowane, by mogy by obsuone przez funkcj sprint (chyba e
kto jest Randalem Schwartzem :-)).

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Math/SigFigs.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-SigFigs.spec,v $
Revision 1.34  2004/05/06 18:20:41  ankry
- fixed perl-devel BR

Revision 1.33  2004/04/25 06:25:09  ankry
- cosmetics: unification

Revision 1.32  2004/04/23 18:04:23  ankry
- license fixes, unification

Revision 1.31  2004/04/20 23:59:37  ankry
- ported to new bconds

Revision 1.30  2003/09/18 13:20:14  adamg
- updated to 1.03

Revision 1.29  2003/09/09 10:24:42  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:09:00  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:00:49  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 20:21:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:36:49  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/09/27 14:07:08  ankry
- added tests, cleaning
- version 1.02, rel. 1

Revision 1.20  2002/08/16 18:54:40  qboosh
- pl description, release++

Revision 1.19  2002/08/11 19:36:48  radek
- release up

Revision 1.18  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.17  2002/07/10 08:48:03  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.16  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/03/03 13:32:19  marcus
- rel.7.

Revision 1.14  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/10 15:28:55  depesz
adapterized

Revision 1.12  2002/01/18 02:14:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:20  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:12:52  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/19 01:45:46  kloczek
- do not include .packlist in %%files,
- spec adapterized.

Revision 1.7  2001/01/13 00:41:26  dobrek
- Req perl >=5.6; Release=4; New rpm automat

Revision 1.6  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.1  1999/11/05 23:09:59  pius
- initial release
